package Sys::Path::SPc;

=head1 NAME

SPc - build-time system path configuration

=cut

use warnings;
use strict;

our $VERSION = '0.10';

use File::Spec;

sub _path_types {qw(
	prefix
	localstatedir
	sysconfdir
	datadir
	docdir
	cachedir
	logdir
	spooldir
	rundir
	lockdir
	localedir
	sharedstatedir
	webdir
)};

=head1 PATHS

See L<Sys::Path/PATHS for details>

=head2 prefix

=head2 localstatedir

=head2 sysconfdir

=head2 datadir

=head2 docdir

=head2 localedir

=head2 cachedir

=head2 logdir

=head2 spooldir

=head2 rundir

=head2 lockdir

=head2 sharedstatedir

/var/lib

=head2 webdir

/var/www

=cut

# sub names inspired by http://www.gnu.org/software/autoconf/manual/html_node/Installation-Directory-Variables.html#Installation-Directory-Variables

sub prefix {'/usr'};
sub localstatedir {'/var'};

sub sysconfdir {'/etc'};
sub datadir {'/usr/share'};
sub docdir {'/usr/share/doc'};
sub localedir {'/usr/share/locale'};
sub cachedir {'/var/cache'};
sub logdir {'/var/log'};
sub spooldir {'/var/spool'};
sub rundir {'/var/run'};
sub lockdir {'/var/lock'};
sub sharedstatedir {'/var/lib'};
sub webdir {'/var/www'};

1;


__END__

=head1 AUTHOR

Jozef Kutej

=cut
